using System;
using System.Collections.Generic;
using System.Linq;

namespace _2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = int.Parse(input[0]), q = int.Parse(input[1]);
            var l1 = new List<int>();
            var l2 = new List<int>();
            input = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                l1.Add(int.Parse(input[i]));
            input = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
                l2.Add(int.Parse(input[i]));
            for(int i = 0; i < q; i++)
            {
                if (!l1.Contains(l2[i]))
                    Console.WriteLine(n);
                else
                    Console.WriteLine(l1.IndexOf(l2[i]) - (n / 2));
            }
        }
    }
}